Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.conn
Interface ManagedNHttpClientConnection

All Superinterfaces:
  Closeable, org.apache.http.HttpConnection, org.apache.http.HttpInetConnection, org.apache.http.nio.IOControl, org.apache.http.nio.NHttpClientConnection, org.apache.http.nio.NHttpConnection

    public interface ManagedNHttpClientConnection

extends org.apache.http.nio.NHttpClientConnection, org.apache.http.HttpInetConnection

Represents a managed connection whose state and life cycle is managed by a connection manager. This interface extends `NHttpClientConnection` with methods to bind the connection to an arbitrary `IOSession` and to obtain SSL session details.

Since:
  4.0

Field Summary

Fields inherited from interface org.apache.http.nio.NHttpConnection
`ACTIVE, CLOSED, CLOSING`

Method Summary
`void` | `bind(org.apache.http.nio.reactor.IOSession ioSession)` Binds connection to the given I/O session.
`String` | `getId()` Returns connection ID which is expected to be unique for the life span of the connection manager.
`org.apache.http.nio.reactor.IOSession` | `getIOSession()` Returns the underlying I/O session.
`SSLSession` | `getSSLSession()` Obtains the SSL session of the underlying connection, if any.

Methods inherited from interface org.apache.http.nio.NHttpClientConnection
`isRequestSubmitted, resetInput, resetOutput, submitRequest`

Methods inherited from interface org.apache.http.nio.NHttpConnection
`getContext, getHttpRequest, getHttpResponse, getStatus`

Methods inherited from interface org.apache.http.HttpConnection
`close, getMetrics, getSocketTimeout, isOpen, isStale, setSocketTimeout, shutdown`

Methods inherited from interface org.apache.http.nio.IOControl
`requestInput, requestOutput, shutdown, suspendInput, suspendOutput`

Methods inherited from interface org.apache.http.HttpInetConnection
`getLocalAddress, getLocalPort, getRemoteAddress, getRemotePort`

Method Detail

### getId

    String getId()

  Returns connection ID which is expected to be unique for the life span of the connection manager.

### bind

    void bind(org.apache.http.nio.reactor.IOSession ioSession)

  Binds connection to the given I/O session.

### getIOSession

    org.apache.http.nio.reactor.IOSession getIOSession()

  Returns the underlying I/O session.

### getSSLSession

    SSLSession getSSLSession()

  Obtains the SSL session of the underlying connection, if any.

  Returns:
    the underlying SSL session if available, `null` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010–2021 The Apache Software Foundation. All rights reserved.